using Gtk;
using Gdk;

public class DisplayWindow : Gtk.Window {
	Gdk.Cursor blank_cursor;
	public DisplayWindow() {
		//get the screen size
		var screen = get_screen();
		//set selfs size to the screen size
		set_default_size (screen.get_width(), screen.get_height());
    //no decoration
    set_decorated(false);
    //no cursor for the window
    blank_cursor = new Gdk.Cursor(Gdk.CursorType.BLANK_CURSOR);
		
    //set the backgroundcolor
    Gdk.RGBA black = Gdk.RGBA();
    black.parse("black");
    override_background_color(StateFlags.NORMAL, black);
	}
	
	/* we will need to show this window */
	public void bigify() {
		show_all();
		fullscreen();
		this.get_window().cursor = blank_cursor;
	}
}
